Skip to main content
GET
/
payin
/
{payin_id}
cURL
curl --request GET \
  --url https://sandbox.dollarpe.xyz/pis/api/v1/payin/{payin_id} \
  --header 'X-API-KEY: <api-key>' \
  --header 'X-SIGNATURE: <api-key>' \
  --header 'X-TIMESTAMP: <api-key>'
{
  "status": true,
  "message": "Success",
  "data": {
    "id": "08441dd3-8cc0-405c-932b-7fdbc8894f66",
    "quotation_id": "08441dd3-8cc0-405c-932b-7fdbc8894f66",
    "customer_id": "dfd8db74-2fbb-46d1-9a93-b90f156e13b4",
    "client_reference_id": "testUser123",
    "bank_id": "e75f62f0-db9e-4904-8103-d6f14f67f5dc",
    "asset": "USDT",
    "fiat": "INR",
    "sending_amount": "10",
    "rate": "89.4",
    "receiveing_amount": "870",
    "fees": {
      "client_fee_fiat": 450,
      "client_fee_crypto": 5,
      "dollarpe_fee": 450,
      "pg_fee": 18,
      "client_gst_fiat": 81,
      "client_gst_crypto": 0.9,
      "dollarpe_gst": 81,
      "pg_gst": 81,
      "tds": 889.17,
      "gross_effective_exchange_rate": 88.92
    },
    "utr": "RATN0329SJDH0",
    "exchange_transfer_id": "",
    "status": "SUCCESS",
    "failure_reason": null,
    "refund_reason": null,
    "created_at": "2025-02-11T01:30:08.000Z",
    "updated_at": "2025-02-11T01:30:08.000Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.dollarpe.xyz/llms.txt

Use this file to discover all available pages before exploring further.

API Status CodeResponseReason
400Payin ID is required.Missing Payin ID
400Payin ID is invalidInvalid Payin ID
500Internal Server ErrorInternal Server Error

Authorizations

X-API-KEY
string
header
required

API Key for authentication

X-TIMESTAMP
string
header
required

Current timestamp in seconds since epoch

X-SIGNATURE
string
header
required

HMAC SHA256 signature of the request encoded in Base64

Path Parameters

payin_id
string<uuid>
required

The unique identifier of the payin

Example:

"08441dd3-8cc0-405c-932b-7fdbc8894f66"

Response

Payin details fetched successfully

status
boolean
Example:

true

message
string
Example:

"Success"

data
object